V2 50 endpoints

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/inputs/{inputId}
operationId: V2_GetInput

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
inputId path required string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/inputs/{inputId}
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/inputs/{inputId}/annotations/{annotationId}
operationId: V2_DeleteAnnotation

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
inputId path required string —
annotationId path required string —

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/inputs/{inputId}/annotations/{annotationId}
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/inputs/{inputId}/annotations/{annotationId}
operationId: V2_GetAnnotation

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
inputId path required string —
annotationId path required string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/inputs/{inputId}/annotations/{annotationId}
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/inputs/{inputId}/video_manifest
operationId: V2_GetInputVideoManifest

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
inputId path required string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/inputs/{inputId}/video_manifest
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/installed_module_versions
operationId: V2_DeleteInstalledModuleVersions

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2DeleteInstalledModuleVersionsRequest
Property Type Required
ids array optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/installed_module_versions
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/installed_module_versions
operationId: V2_ListInstalledModuleVersions

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/installed_module_versions
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/installed_module_versions
operationId: V2_PostInstalledModuleVersions

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostInstalledModuleVersionsRequest
Property Type Required
userAppId object optional
installedModuleVersions array optional
└ id string optional
└ appId string optional
└ keyId string optional
└ userId string optional
└ createdAt string optional
└ deployUrl string optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ moduleVersion object optional
└ id string optional
└ appId string optional
└ notes string optional
└ userId string optional
└ approved boolean optional
└ metadata object optional
└ moduleId string optional
└ createdAt string optional
└ moduleNav object optional
└ title string optional
└ moduleSubNavs array optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ gitCommitUrl string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/installed_module_versions
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/installed_module_versions/{installedModuleVersionId}
operationId: V2_GetInstalledModuleVersion

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
installedModuleVersionId path required string

the ID to get of the install module version.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/installed_module_versions/{installedModuleVersionId}
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/installed_module_versions/{installedModuleVersionId}/key
operationId: V2_PostInstalledModuleVersionsKey

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
installedModuleVersionId path required string

the ID to get of the install module version.

Note(zeiler): we don’t provide a key to create since it’s always deterministic.
we’ll create a PAT, owned by the caller with the scopes that the module requests.
in the future if we want we can pass in a Key key = 3; field so that the caller
can adjust the scopes, but for now that doesn’t seem necessary.

Request Body

required
application/json
schema V2PostInstalledModuleVersionsKeyRequest
Property Type Required
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/installed_module_versions/{installedModuleVersionId}/key
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/keys
operationId: V2_ListAppKeys

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/keys
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/label_orders
operationId: V2_DeleteLabelOrders

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2DeleteLabelOrdersRequest
Property Type Required
ids array optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/label_orders
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/label_orders
operationId: V2_ListLabelOrders

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/label_orders
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/label_orders
operationId: V2_PatchLabelOrders

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PatchLabelOrdersRequest
Property Type Required
action string optional
userAppId object optional
labelOrders array optional
└ id string optional
└ name string optional
└ task object optional
└ id string optional
└ name string optional
└ type string optional
└ appId string optional
└ review object optional
└ users array optional
└ userIds array optional
└ strategy string optional
└ manualStrategyInfo object optional
└ consensusStrategyInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ worker object optional
└ users array optional
└ userIds array optional
└ workers array optional
└ strategy string optional
└ partitionedStrategyInfo object optional
└ metrics object optional
└ work object optional
└ concepts array optional
└ concept object optional
└ autoAnnotationConfig object optional
└ sampleMs integer optional
└ createdAt string optional
└ conceptIds array optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ aiAssistant object optional
└ workflowId string optional
└ description string optional
└ inputSource object optional
└ id string optional
└ type string optional
└ labelOrderId string optional
└ aiAssistParams object optional
└ maxThreshold number optional
└ minThreshold number optional
└ conceptRelationIds array optional
└ …1 more object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ modifiedAt string optional
└ autoRelease boolean optional
└ allowEmptyTag boolean optional
└ desiredFulfillTime string optional
└ estimateFulfillTime string optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/label_orders
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/label_orders
operationId: V2_PostLabelOrders

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostLabelOrdersRequest
Property Type Required
userAppId object optional
labelOrders array optional
└ id string optional
└ name string optional
└ task object optional
└ id string optional
└ name string optional
└ type string optional
└ appId string optional
└ review object optional
└ users array optional
└ userIds array optional
└ strategy string optional
└ manualStrategyInfo object optional
└ consensusStrategyInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ worker object optional
└ users array optional
└ userIds array optional
└ workers array optional
└ strategy string optional
└ partitionedStrategyInfo object optional
└ metrics object optional
└ work object optional
└ concepts array optional
└ concept object optional
└ autoAnnotationConfig object optional
└ sampleMs integer optional
└ createdAt string optional
└ conceptIds array optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ aiAssistant object optional
└ workflowId string optional
└ description string optional
└ inputSource object optional
└ id string optional
└ type string optional
└ labelOrderId string optional
└ aiAssistParams object optional
└ maxThreshold number optional
└ minThreshold number optional
└ conceptRelationIds array optional
└ …1 more object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ modifiedAt string optional
└ autoRelease boolean optional
└ allowEmptyTag boolean optional
└ desiredFulfillTime string optional
└ estimateFulfillTime string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/label_orders
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/label_orders/{labelOrderId}
operationId: V2_GetLabelOrder

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
labelOrderId path required string —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/label_orders/{labelOrderId}
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models
operationId: V2_DeleteModels

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

application/json
schema V2DeleteCollectorsRequest
Property Type Required
ids array optional
deleteAll boolean optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models
operationId: V2_ListModels

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars, outputs, presets

sortAscending query optional boolean

Sorting options:
Whether to sort in ascending order. If false, will order in descending order.

sortByName query optional boolean

Whether to order by the name

sortByNumInputs query optional boolean

Whether to order by the number of training inputs

sortByModifiedAt query optional boolean

Whether to order by the modified_at time of the latest model version.
If none of the sort options is set to true, will sort by modified_at.

sortByCreatedAt query optional boolean

Whether to order by the created_at

sortByStarCount query optional boolean

Whether to order by count of stars

modelTypeId query optional string

Filtering options:
Filter models by the specific model_type_id. See ListModelTypes for the list of ModelType.Id’s
supported.

trainedOnly query optional boolean

If true, we only return models that have the status MODEL_TRAINED, which includes non-trainable model types.

inputFields query optional array

The list of input fields to the model.
For example, you can specify ‘image’, which will return models that make inferences on images like visual-classifier models.

outputFields query optional array

The list of output fields to the model.
For example, you can specify ‘regions[…].data.concepts’, which will return visual-detector models.

license query optional string

Filter by the license of the model version

featuredOnly query optional boolean

If true, we only return models that are handpicked by clarifai staff

starredOnly query optional boolean

If true, we only return models that are starred by the requesting user

toolkits query optional array

List of toolkit tags to filter by

useCases query optional array

List of use_case tags to filter by

languages query optional array

List of language tags to filter by

dontFetchFromMain query optional boolean

Old API behavior resulted in returning clarifai main models when calling ListModels while scoped to an app. While we transition
away from that, we can use this flag to not always fetch clarifai main models, unless that is the app we are explicitly listing for.

bookmark query optional boolean

Filter models by bookmark. If set, only return bookmarked models. Otherwise none bookmarked models only.
Note: you can not filter trained_only and bookmark at the same time.
When filter by bookmark, we will return trained and untrained models.

search query optional string

Searching options:
Specify a search parameter in order to perform keyword search on the
following fields of the model:

  • id
  • name
  • description
  • notes
  • user_id (unless user_app_id.user_id is already set)

Keywords are both normalized for search (so searching for “satisfy” matches “satisfied”)
and used for partial prefix-matching (so searching for “clari” matches “clarifai”).

NOTE: Both the list of fields searched and the exact keyword matching
rules are subject to change and not guaranteed to be backwards-compatible.

query query optional string

Query name, description and id fields, that can contain the words in the query string. Does NOT support wildcards - full words only. Supports operators “OR” and “-“ as NOT.
Deprecated: use search instead.

name query optional string

Filter by the description and id of the model. This supports wildcard queries like “gen*” to match “general” as an example.
Deprecated: use search instead.

filterByUserId query optional boolean

Extends the name filter to include the user_id of the application owner that the model belongs to.
Deprecated: use search instead of name.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models
operationId: V2_PatchModels

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PatchModelsRequest
Property Type Required
action string optional
models array optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ path string optional
└ required boolean optional
└ fieldType string optional
└ description string optional
└ placeholder string optional
└ defaultValue object optional
└ internalOnly boolean optional
└ modelTypeRangeInfo object optional
└ modelTypeEnumOptions array optional
└ outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ displayName string optional
└ …7 more object optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models
operationId: V2_PostModels

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostModelsRequest
Property Type Required
model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ path string optional
└ required boolean optional
└ fieldType string optional
└ description string optional
└ placeholder string optional
└ defaultValue object optional
└ internalOnly boolean optional
└ modelTypeRangeInfo object optional
└ modelTypeEnumOptions array optional
└ outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ displayName string optional
└ …7 more object optional
models array optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ path string optional
└ required boolean optional
└ fieldType string optional
└ description string optional
└ placeholder string optional
└ defaultValue object optional
└ internalOnly boolean optional
└ modelTypeRangeInfo object optional
└ modelTypeEnumOptions array optional
└ outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ displayName string optional
└ …7 more object optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/ids
operationId: V2_PatchModelIds

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PatchModelIdsRequest
Property Type Required
ids array optional
└ id string optional
└ newId string optional
action string optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/ids
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/searches
operationId: V2_PostModelsSearches

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —

Request Body

required
application/json
schema V2PostModelsSearchesRequest
Property Type Required
userAppId object optional
modelQuery object optional
└ name string optional
└ modelTypeId string optional
pagination object optional
└ page integer optional
└ perPage integer optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/searches
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/types
operationId: V2_ListModelTypes

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/types
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/types/{modelTypeId}
operationId: V2_GetModelType

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelTypeId path required string

The specific ModelType.Id you want to retrieve.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/types/{modelTypeId}
DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}
operationId: V2_DeleteModel

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —

Responses

default

An unexpected error response.

200

A successful response.

DELETE /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}
operationId: V2_GetModel

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
versionId query optional string

This is included so that we can re-use this request for multiple
rpcs with and without the version_id.

language query optional string —
trainedBefore query optional boolean —
additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars, outputs, presets

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/check_consents
operationId: V2_PatchModelCheckConsents

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string

the model id

Request Body

required
application/json
schema V2PatchModelCheckConsentsRequest
Property Type Required
action string optional
userAppId object optional
checkConsents array optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/check_consents
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/concepts
operationId: V2_ListModelConcepts

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string

Model id

versionId query optional string

Model version Id. Optional, if not provided latest model version is used.

page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

search query optional string

Searching options:
Specify a search parameter in order to perform keyword search on the
following fields of the concept:

  • id
  • name

Keywords are used for partial prefix-matching (so searching for “larif” matches “clarifai”).

NOTE: Both the list of fields searched and the exact keyword matching
rules are subject to change and not guaranteed to be backwards-compatible.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/concepts
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/inputs
operationId: V2_ListModelInputs

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
versionId query optional string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/inputs
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/languages
operationId: V2_PatchModelLanguages

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —

Request Body

required
application/json
schema V2PatchModelLanguagesRequest
Property Type Required
action string optional
languages array optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/languages
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/output_info
operationId: V2_GetModelOutputInfo

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
versionId query optional string

This is included so that we can re-use this request for multiple
rpcs with and without the version_id.

language query optional string —
trainedBefore query optional boolean —
additionalFields query optional array

(optional URL parameter) List of additional fields to be included in the response. Currently supported: all, stars, outputs, presets

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/output_info
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/outputs
operationId: V2_PostModelOutputs3

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —

Request Body

application/json
schema V2PostModelOutputs3Request
Property Type Required
model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ path string optional
└ required boolean optional
└ fieldType string optional
└ description string optional
└ placeholder string optional
└ defaultValue object optional
└ internalOnly boolean optional
└ modelTypeRangeInfo object optional
└ modelTypeEnumOptions array optional
└ outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ displayName string optional
└ …7 more object optional
inputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
userAppId object optional
versionId string optional
runnerSelector object optional
└ runner object optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ labels array optional
└ userId string optional
└ metadata object optional
└ nodepool object optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ workflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ createdAt string optional
└ modifiedAt string optional
└ computeInfo object optional
└ numCpus integer optional
└ cpuMemory string optional
└ acceleratorType array optional
└ numAccelerators integer optional
└ acceleratorMemory string optional
└ description string optional
└ nodepool object optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ id string optional
└ cloud string optional
└ region string optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ deployment object optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ userId string optional
└ workflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ nodepools array optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ autoscaleConfig object optional
└ maxReplicas integer optional
└ minReplicas integer optional
└ enablePacking boolean optional
└ scaleUpDelaySeconds integer optional
└ scaleDownDelaySeconds integer optional
└ trafficHistorySeconds integer optional
└ schedulingChoice string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/outputs
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/outputs/generate
operationId: V2_GenerateModelOutputs2

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —

Request Body

application/json
schema V2PostModelOutputs3Request
Property Type Required
model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ sizes array optional
└ prefix string optional
└ suffix string optional
└ crossorigin string optional
└ imageInfo object optional
└ width integer optional
└ format string optional
└ height integer optional
└ colorMode string optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ path string optional
└ required boolean optional
└ fieldType string optional
└ description string optional
└ placeholder string optional
└ defaultValue object optional
└ internalOnly boolean optional
└ modelTypeRangeInfo object optional
└ modelTypeEnumOptions array optional
└ outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ displayName string optional
└ …7 more object optional
inputs array optional
└ id string optional
└ data object optional
└ geo object optional
└ geoBox array optional
└ geoLimit object optional
└ geoPoint object optional
└ hits array optional
└ appId string optional
└ input object optional
└ score number optional
└ userId string optional
└ annotation object optional
└ text object optional
└ raw string optional
└ url string optional
└ hosted object optional
└ textInfo object optional
└ allowDuplicateUrl boolean optional
└ audio object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ audioInfo object optional
└ allowDuplicateUrl boolean optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ video object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ videoInfo object optional
└ thumbnailUrl string optional
└ hostedThumbnail object optional
└ allowDuplicateUrl boolean optional
└ colors array optional
└ w3c object optional
└ value number optional
└ rawHex string optional
└ frames array optional
└ id string optional
└ data object optional
└ frameInfo object optional
└ tracks array optional
└ id string optional
└ data object optional
└ quality number optional
└ timeInfo object optional
└ regions array optional
└ id string optional
└ data object optional
└ value number optional
└ trackId string optional
└ regionInfo object optional
└ clusters array optional
└ id string optional
└ hits array optional
└ count integer optional
└ score number optional
└ projection array optional
└ concepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ heatmaps array optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ metadata object optional
└ embeddings array optional
└ vector array optional
└ numDimensions integer optional
└ timeSegments array optional
└ id string optional
└ data object optional
└ timeInfo object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
userAppId object optional
versionId string optional
runnerSelector object optional
└ runner object optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ labels array optional
└ userId string optional
└ metadata object optional
└ nodepool object optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ workflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ createdAt string optional
└ modifiedAt string optional
└ computeInfo object optional
└ numCpus integer optional
└ cpuMemory string optional
└ acceleratorType array optional
└ numAccelerators integer optional
└ acceleratorMemory string optional
└ description string optional
└ nodepool object optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ id string optional
└ cloud string optional
└ region string optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ deployment object optional
└ id string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ userId string optional
└ workflow object optional
└ id string optional
└ appId string optional
└ image object optional
└ nodes array optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ checkConsents array optional
└ bookmarkOrigin object optional
└ nodepools array optional
└ id string optional
└ userId string optional
└ cloudRegion object optional
└ maxInstances integer optional
└ minInstances integer optional
└ capacityTypes array optional
└ instanceTypes array optional
└ autoscaleConfig object optional
└ maxReplicas integer optional
└ minReplicas integer optional
└ enablePacking boolean optional
└ scaleUpDelaySeconds integer optional
└ scaleDownDelaySeconds integer optional
└ trafficHistorySeconds integer optional
└ schedulingChoice string optional

Responses

default

An unexpected error response.

200

A successful response.(streaming responses)

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/outputs/generate
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/publish
operationId: V2_PostModelVersionsPublish

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —

Request Body

required
application/json
schema V2PostModelVersionsPublishRequest
Property Type Required
userAppId object optional
publications array optional
└ versionId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/publish
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/references
operationId: V2_ListModelReferences

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
page query optional integer

Optional, defaults to 1.

perPage query optional integer

Optional, defaults to 128 references per page.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/references
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/toolkits
operationId: V2_PatchModelToolkits

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —

Request Body

required
application/json
schema V2PatchModelToolkitsRequest
Property Type Required
action string optional
toolkits array optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/toolkits
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/unpublish
operationId: V2_PostModelVersionsUnPublish

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —

Request Body

required
application/json
schema V2PostModelVersionsUnPublishRequest
Property Type Required
userAppId object optional
publications array optional
└ versionId string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/unpublish
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/usecases
operationId: V2_PatchModelUseCases

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —

Request Body

required
application/json
schema V2PatchModelUseCasesRequest
Property Type Required
action string optional
usecases array optional
userAppId object optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/usecases
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions
operationId: V2_ListModelVersions

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

conceptIds query optional array

Filtering options:
To list only the model versions that have these concept ids present in them.

trainedOnly query optional boolean

To list only the model versions that have been trained.

sortAscending query optional boolean

Sorting options:
Whether to sort in ascending order. If false, will order in descending order.

sortByStatusCode query optional boolean

Whether to order by the status code

sortByNumInputs query optional boolean

Whether to order by the number of training inputs

sortByDescription query optional boolean

Whether to sort by the description

sortByCreatedAt query optional boolean

Whether to order by the created_at time
If neither sort option is set to true, will sort by created_at.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions
PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions
operationId: V2_PatchModelVersions

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —

Request Body

required
application/json
schema V2PatchModelVersionsRequest
Property Type Required
action string optional
userAppId object optional
modelVersions array optional
└ id string optional
└ appId string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ license string optional
└ metrics object optional
└ id string optional
└ appId string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ summary object optional
└ lopqMetrics array optional
└ top1Accuracy number optional
└ top5Accuracy number optional
└ macroAvgRecall number optional
└ macroAvgRocAuc number optional
└ macroStdRocAuc number optional
└ macroAvgF1Score number optional
└ macroStdF1Score number optional
└ macroAvgPrecision number optional
└ meanAvgPrecisionIou50 number optional
└ meanAvgPrecisionIouRange number optional
└ testSet array optional
└ input object optional
└ annotation object optional
└ predictedConcepts array optional
└ groundTruthConcepts array optional
└ evalInfo object optional
└ params object optional
└ labelCounts object optional
└ positiveLabelCounts array optional
└ binaryMetrics array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ areaName string optional
└ rocCurve object optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ metricsByArea array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ areaName string optional
└ rocCurve object optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ metricsByClass array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ areaName string optional
└ rocCurve object optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ trackerMetrics array optional
└ aiid string optional
└ motMota number optional
└ morseFrag number optional
└ avgPrecision number optional
└ motNumSwitches integer optional
└ uniqueSwitchRate number optional
└ confusionMatrix object optional
└ matrix array optional
└ conceptIds array optional
└ extendedMetrics object optional
└ userMetrics object optional
└ cooccurrenceMatrix object optional
└ matrix array optional
└ conceptIds array optional
└ groundTruthDataset object optional
└ id string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ bookmarkOrigin object optional
└ defaultProcessingInfo object optional
└ defaultAnnotationFilter object optional
└ predictionsDataset object optional
└ id string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ bookmarkOrigin object optional
└ defaultProcessingInfo object optional
└ defaultAnnotationFilter object optional
└ metadata object optional
└ trainLog string optional
└ buildInfo object optional
└ dockerImageTag string optional
└ dockerImageName string optional
└ dockerImageDigest string optional
└ createdAt string optional
└ inputInfo object optional
└ params object optional
└ fieldsMap object optional
└ baseEmbedModel object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ trainInfo object optional
└ params object optional
└ dataset object optional
└ id string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ bookmarkOrigin object optional
└ defaultProcessingInfo object optional
└ defaultAnnotationFilter object optional
└ resumeFromModel object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ importInfo object optional
└ params object optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ path string optional
└ required boolean optional
└ fieldType string optional
└ description string optional
└ placeholder string optional
└ defaultValue object optional
└ internalOnly boolean optional
└ modelTypeRangeInfo object optional
└ modelTypeEnumOptions array optional
└ outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
└ visibility object optional
└ gettable string optional
└ completedAt string optional
└ description string optional
└ totalInputCount integer optional
└ activeConceptCount integer optional
└ …2 more object optional

Responses

default

An unexpected error response.

200

A successful response.

PATCH /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions
operationId: V2_PostModelVersions

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —

Request Body

required
application/json
schema V2PostModelVersionsRequest
Property Type Required
evalInfo object optional
└ params object optional
userAppId object optional
description string optional
modelVersions array optional
└ id string optional
└ appId string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ license string optional
└ metrics object optional
└ id string optional
└ appId string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ summary object optional
└ lopqMetrics array optional
└ top1Accuracy number optional
└ top5Accuracy number optional
└ macroAvgRecall number optional
└ macroAvgRocAuc number optional
└ macroStdRocAuc number optional
└ macroAvgF1Score number optional
└ macroStdF1Score number optional
└ macroAvgPrecision number optional
└ meanAvgPrecisionIou50 number optional
└ meanAvgPrecisionIouRange number optional
└ testSet array optional
└ input object optional
└ annotation object optional
└ predictedConcepts array optional
└ groundTruthConcepts array optional
└ evalInfo object optional
└ params object optional
└ labelCounts object optional
└ positiveLabelCounts array optional
└ binaryMetrics array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ areaName string optional
└ rocCurve object optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ metricsByArea array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ areaName string optional
└ rocCurve object optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ metricsByClass array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ areaName string optional
└ rocCurve object optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ trackerMetrics array optional
└ aiid string optional
└ motMota number optional
└ morseFrag number optional
└ avgPrecision number optional
└ motNumSwitches integer optional
└ uniqueSwitchRate number optional
└ confusionMatrix object optional
└ matrix array optional
└ conceptIds array optional
└ extendedMetrics object optional
└ userMetrics object optional
└ cooccurrenceMatrix object optional
└ matrix array optional
└ conceptIds array optional
└ groundTruthDataset object optional
└ id string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ bookmarkOrigin object optional
└ defaultProcessingInfo object optional
└ defaultAnnotationFilter object optional
└ predictionsDataset object optional
└ id string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ bookmarkOrigin object optional
└ defaultProcessingInfo object optional
└ defaultAnnotationFilter object optional
└ metadata object optional
└ trainLog string optional
└ buildInfo object optional
└ dockerImageTag string optional
└ dockerImageName string optional
└ dockerImageDigest string optional
└ createdAt string optional
└ inputInfo object optional
└ params object optional
└ fieldsMap object optional
└ baseEmbedModel object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ trainInfo object optional
└ params object optional
└ dataset object optional
└ id string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ bookmarkOrigin object optional
└ defaultProcessingInfo object optional
└ defaultAnnotationFilter object optional
└ resumeFromModel object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ importInfo object optional
└ params object optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ path string optional
└ required boolean optional
└ fieldType string optional
└ description string optional
└ placeholder string optional
└ defaultValue object optional
└ internalOnly boolean optional
└ modelTypeRangeInfo object optional
└ modelTypeEnumOptions array optional
└ outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
└ visibility object optional
└ gettable string optional
└ completedAt string optional
└ description string optional
└ totalInputCount integer optional
└ activeConceptCount integer optional
└ …2 more object optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/time_estimate
operationId: V2_PostModelVersionsTrainingTimeEstimate

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —

Request Body

required
application/json
schema V2PostModelVersionsTrainingTimeEstimateRequest
Property Type Required
userAppId object optional
modelVersions array optional
└ id string optional
└ appId string optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ license string optional
└ metrics object optional
└ id string optional
└ appId string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ summary object optional
└ lopqMetrics array optional
└ top1Accuracy number optional
└ top5Accuracy number optional
└ macroAvgRecall number optional
└ macroAvgRocAuc number optional
└ macroStdRocAuc number optional
└ macroAvgF1Score number optional
└ macroStdF1Score number optional
└ macroAvgPrecision number optional
└ meanAvgPrecisionIou50 number optional
└ meanAvgPrecisionIouRange number optional
└ testSet array optional
└ input object optional
└ annotation object optional
└ predictedConcepts array optional
└ groundTruthConcepts array optional
└ evalInfo object optional
└ params object optional
└ labelCounts object optional
└ positiveLabelCounts array optional
└ binaryMetrics array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ areaName string optional
└ rocCurve object optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ metricsByArea array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ areaName string optional
└ rocCurve object optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ metricsByClass array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ areaName string optional
└ rocCurve object optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ trackerMetrics array optional
└ aiid string optional
└ motMota number optional
└ morseFrag number optional
└ avgPrecision number optional
└ motNumSwitches integer optional
└ uniqueSwitchRate number optional
└ confusionMatrix object optional
└ matrix array optional
└ conceptIds array optional
└ extendedMetrics object optional
└ userMetrics object optional
└ cooccurrenceMatrix object optional
└ matrix array optional
└ conceptIds array optional
└ groundTruthDataset object optional
└ id string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ bookmarkOrigin object optional
└ defaultProcessingInfo object optional
└ defaultAnnotationFilter object optional
└ predictionsDataset object optional
└ id string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ bookmarkOrigin object optional
└ defaultProcessingInfo object optional
└ defaultAnnotationFilter object optional
└ metadata object optional
└ trainLog string optional
└ buildInfo object optional
└ dockerImageTag string optional
└ dockerImageName string optional
└ dockerImageDigest string optional
└ createdAt string optional
└ inputInfo object optional
└ params object optional
└ fieldsMap object optional
└ baseEmbedModel object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ trainInfo object optional
└ params object optional
└ dataset object optional
└ id string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ version object optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ bookmarkOrigin object optional
└ defaultProcessingInfo object optional
└ defaultAnnotationFilter object optional
└ resumeFromModel object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ visibility object optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ importInfo object optional
└ params object optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ geo object optional
└ hits array optional
└ text object optional
└ audio object optional
└ image object optional
└ video object optional
└ colors array optional
└ frames array optional
└ tracks array optional
└ regions array optional
└ clusters array optional
└ concepts array optional
└ heatmaps array optional
└ metadata object optional
└ embeddings array optional
└ timeSegments array optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ path string optional
└ required boolean optional
└ fieldType string optional
└ description string optional
└ placeholder string optional
└ defaultValue object optional
└ internalOnly boolean optional
└ modelTypeRangeInfo object optional
└ modelTypeEnumOptions array optional
└ outputConfig object optional
└ language string optional
└ minValue number optional
└ sampleMs integer optional
└ hyperParams object optional
└ maxConcepts integer optional
└ modelMetadata object optional
└ selectConcepts array optional
└ existingModelId string optional
└ hyperParameters string optional
└ trainingTimeout integer optional
└ embedModelVersionId string optional
└ conceptsMutuallyExclusive boolean optional
└ failOnMissingPositiveExamples boolean optional
└ visibility object optional
└ gettable string optional
└ completedAt string optional
└ description string optional
└ totalInputCount integer optional
└ activeConceptCount integer optional
└ …2 more object optional
estimatedInputCount string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/time_estimate
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{modelVersionId}/evaluations
operationId: V2_ListModelVersionEvaluations

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
modelVersionId path required string —
page query optional integer

(optional URL parameter) The page number. Pagination is used to split the results into chunks.
Defaults to 1.

perPage query optional integer

(optional URL parameter) The number of results that will be contained in each page. Defaults
to 128.

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{modelVersionId}/evaluations
POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{modelVersionId}/evaluations
operationId: V2_PostModelVersionEvaluations

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
modelVersionId path required string —

Request Body

required
application/json
schema V2PostModelVersionEvaluationsRequest
Property Type Required
userAppId object optional
evalMetrics array optional
└ id string optional
└ appId string optional
└ model object optional
└ id string optional
└ name string optional
└ task string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ presets object optional
└ metadata object optional
└ toolkits array optional
└ useCases array optional
└ createdAt string optional
└ isStarred boolean optional
└ languages array optional
└ starCount integer optional
└ modifiedAt string optional
└ outputInfo object optional
└ data object optional
└ params object optional
└ message string optional
└ fieldsMap object optional
└ paramsSpecs array optional
└ outputConfig object optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ displayName string optional
└ …7 more object optional
└ status object optional
└ code string optional
└ reqId string optional
└ details string optional
└ stackTrace array optional
└ description string optional
└ redirectInfo object optional
└ url string optional
└ resourceType string optional
└ newResourceId string optional
└ oldResourceId string optional
└ timeRemaining integer optional
└ developerNotes string optional
└ internalDetails string optional
└ percentCompleted integer optional
└ userId string optional
└ summary object optional
└ lopqMetrics array optional
└ k integer optional
└ lopqNdcg number optional
└ bruteForceNdcg number optional
└ recallVsBruteForce number optional
└ kendallTauVsBruteForce number optional
└ mostFrequentCodePercent number optional
└ top1Accuracy number optional
└ top5Accuracy number optional
└ macroAvgRecall number optional
└ macroAvgRocAuc number optional
└ macroStdRocAuc number optional
└ macroAvgF1Score number optional
└ macroStdF1Score number optional
└ macroAvgPrecision number optional
└ meanAvgPrecisionIou50 number optional
└ meanAvgPrecisionIouRange number optional
└ testSet array optional
└ input object optional
└ id string optional
└ data object optional
└ status object optional
└ createdAt string optional
└ datasetIds array optional
└ modifiedAt string optional
└ annotation object optional
└ id string optional
└ data object optional
└ status object optional
└ taskId string optional
└ userId string optional
└ inputId string optional
└ trusted boolean optional
└ createdAt string optional
└ inputLevel boolean optional
└ modifiedAt string optional
└ consensusInfo object optional
└ annotationInfo object optional
└ modelVersionId string optional
└ workflowVersionId string optional
└ embedModelVersionId string optional
└ predictedConcepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ groundTruthConcepts array optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ evalInfo object optional
└ params object optional
└ labelCounts object optional
└ positiveLabelCounts array optional
└ count integer optional
└ concept object optional
└ conceptName string optional
└ binaryMetrics array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ areaName string optional
└ rocCurve object optional
└ fpr array optional
└ tpr array optional
└ thresholds array optional
└ fprPerImage array optional
└ fprPerObject array optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ recall array optional
└ precision array optional
└ thresholds array optional
└ metricsByArea array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ areaName string optional
└ rocCurve object optional
└ fpr array optional
└ tpr array optional
└ thresholds array optional
└ fprPerImage array optional
└ fprPerObject array optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ recall array optional
└ precision array optional
└ thresholds array optional
└ metricsByClass array optional
└ f1 number optional
└ iou number optional
└ numNeg integer optional
└ numPos integer optional
└ numTot integer optional
└ rocAuc number optional
└ areaMax number optional
└ areaMin number optional
└ concept object optional
└ id string optional
└ name string optional
└ appId string optional
└ value number optional
└ userId string optional
└ vocabId string optional
└ language string optional
└ createdAt string optional
└ extraInfo object optional
└ definition string optional
└ visibility object optional
└ keypointInfo object optional
└ areaName string optional
└ rocCurve object optional
└ fpr array optional
└ tpr array optional
└ thresholds array optional
└ fprPerImage array optional
└ fprPerObject array optional
└ avgPrecision number optional
└ precisionRecallCurve object optional
└ recall array optional
└ precision array optional
└ thresholds array optional
└ trackerMetrics array optional
└ aiid string optional
└ motMota number optional
└ morseFrag number optional
└ avgPrecision number optional
└ motNumSwitches integer optional
└ uniqueSwitchRate number optional
└ confusionMatrix object optional
└ matrix array optional
└ value number optional
└ actual string optional
└ predicted string optional
└ actualConcept object optional
└ predictedConcept object optional
└ conceptIds array optional
└ extendedMetrics object optional
└ userMetrics object optional
└ cooccurrenceMatrix object optional
└ matrix array optional
└ col string optional
└ row string optional
└ count integer optional
└ conceptIds array optional
└ groundTruthDataset object optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ version object optional
└ id string optional
└ appId string optional
└ status object optional
└ userId string optional
└ metrics object optional
└ metadata object optional
└ createdAt string optional
└ datasetId string optional
└ exportInfo object optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ processingInfo object optional
└ modelPredictConfig object optional
└ embedModelVersionIds array optional
└ annotationFilterConfig object optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional
└ defaultProcessingInfo object optional
└ frameInterpolationInfo object optional
└ defaultAnnotationFilter object optional
└ id string optional
└ appId string optional
└ search object optional
└ userId string optional
└ createdAt string optional
└ modifiedAt string optional
└ predictionsDataset object optional
└ id string optional
└ appId string optional
└ image object optional
└ url string optional
└ base64 string optional
└ hosted object optional
└ imageInfo object optional
└ allowDuplicateUrl boolean optional
└ notes string optional
└ userId string optional
└ version object optional
└ id string optional
└ appId string optional
└ status object optional
└ userId string optional
└ metrics object optional
└ metadata object optional
└ createdAt string optional
└ datasetId string optional
└ exportInfo object optional
└ modifiedAt string optional
└ visibility object optional
└ description string optional
└ processingInfo object optional
└ modelPredictConfig object optional
└ embedModelVersionIds array optional
└ annotationFilterConfig object optional
└ metadata object optional
└ createdAt string optional
└ isStarred boolean optional
└ starCount integer optional
└ modifiedAt string optional
└ visibility object optional
└ gettable string optional
└ description string optional
└ bookmarkOrigin object optional
└ id string optional
└ appId string optional
└ userId string optional
└ resourceType string optional
└ defaultProcessingInfo object optional
└ frameInterpolationInfo object optional
└ defaultAnnotationFilter object optional
└ id string optional
└ appId string optional
└ search object optional
└ userId string optional
└ createdAt string optional
└ modifiedAt string optional

Responses

default

An unexpected error response.

200

A successful response.

POST /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{modelVersionId}/evaluations
GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{modelVersionId}/evaluations/{evaluationId}
operationId: V2_GetModelVersionEvaluation

Parameters

Name In Required Type Description
userAppId.userId path required string

Note user_id ‘me’ is reserved - it is the alias for the id of authorized user

userAppId.appId path required string —
modelId path required string —
modelVersionId path required string —
evaluationId path required string —
fields.confusionMatrix query optional boolean —
fields.cooccurrenceMatrix query optional boolean —
fields.labelCounts query optional boolean —
fields.binaryMetrics query optional boolean —
fields.testSet query optional boolean —
fields.metricsByArea query optional boolean —
fields.metricsByClass query optional boolean —

Responses

default

An unexpected error response.

200

A successful response.

GET /v2/users/{userAppId.userId}/apps/{userAppId.appId}/models/{modelId}/versions/{modelVersionId}/evaluations/{evaluationId}
[...]
